org.apache.ignite.internal.cache.query.index.sorted.keys

## Class SignedBytesIndexKey

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.keys.BytesIndexKey
  - - org.apache.ignite.internal.cache.query.index.sorted.keys.SignedBytesIndexKey

All Implemented Interfaces:
  IndexKey

    public class SignedBytesIndexKey
    extends BytesIndexKey

### Field Summary

### Fields inherited from class org.apache.ignite.internal.cache.query.index.sorted.keys.BytesIndexKey

`key`

### Constructor Summary

Constructors
Constructor and Description
`SignedBytesIndexKey(byte[] key)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(IndexKey o)`

### Methods inherited from class org.apache.ignite.internal.cache.query.index.sorted.keys.BytesIndexKey

`key, type`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SignedBytesIndexKey

    public SignedBytesIndexKey(byte[] key)

### Method Detail

#### compare

    public int compare(IndexKey o)

Specified by:
  `compare` in interface `IndexKey`
Overrides:
  `compare` in class `BytesIndexKey`
Returns:
  Comparison result with other IndexKey the same type.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021